Wary: Ati, Intel drivers rollback

As mentioned in an earlier post, I compiled the Intel driver as used in Puppy 4.3.1. It is running nicely on my laptop, so I'm keeping it.

I have also rolled back the Ati driver, to version 6.7.197 (actually, Puppy 4.3.1 has 6.7.195). The actual drivers in this package are: ati_drv.so, atimisc_drv.so, r128_drv.so and radeon_drv.so. Note that the mach64 driver is inside atimisc_drv.so. ati_drv.so is itself only a wrapper that launches one of the other three.

Note that later versions of Xorg separate things out. Mach64 and r128 are separate source packages, the radeon driver is still in the ati source package.

If you want to test these rolled-back drivers, the PET packages 'xf86-video-intel_xorg73-2.1.1-w1.pet' and 'xf86-video-ati_xorg73-6.7.197-w1.pet' are here:

http://distro.ibiblio.org/pub/linux/distributions/quirky/pet_packages-quirky/


Posted on 20 Sep 2010, 17:15


Comments:

Posted on 15 Apr 2010, 8:12 by Leon
Wary: Ati driver 6.7.197 doesn't work
Barry,
Thank you for your efforts to find a proper Ati driver for older ATI graphics cards.

I tried your 'xf86-video-ati_xorg73-6.7.197-w1.pet' PET package and I noticed a small progress. When running xorgwizard I can choose a screen resolution from a menu list but on the next step a black screen is shown and I have to press Reset button to restart my computer.

Maybe ATI driver 6.7.195 (from Puppy 4.3.1) might work. Puppy 4.3.1 with the 6.7.195 driver works better then any other Puppy or distro that I tried on my computer so far, a real pleasure for my everyday use.

I am very interested to join the saearch for the ATI driver that would work in Wary and Quirky and willing to test every additional ATI driver PET package.


Posted on 15 Apr 2010, 10:14 by BarryK
Ati drivers, more PETs
Leon,
Try these two that I posted to the forum:

http://murga-linux.com/puppy/viewtopic.php?t=54294&start=180